#!/bin/sh

bail_out ()
{
    echo $1 failed. Exiting.
    exit 1
}

echo aclocal...
aclocal_args=
[ -d /usr/local/share/aclocal ] && aclocal_args="-I /usr/local/share/aclocal"
[ -d /usr/local/gnome/share/aclocal ] && aclocal_args="$aclocal_args -I /usr/local/gnome/share/aclocal"
[ -d /usr/X11R6/share/aclocal ] && aclocal_args="$aclocal_args -I /usr/X11R6/share/aclocal"
aclocal $aclocal_args || bail_out aclocal
echo autoconf...
autoconf || bail_out autoconf
echo autoheader...
autoheader || bail_out autoheader
echo libtoolize...
libtoolize -c -f || bail_out libtoolize
echo automake...
automake -a -c --foreign
echo configure...
./configure $*
