/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
#ifndef __CPPARSE_H__
#define __CPPARSE_H__

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <glib.h>
#ifdef LIBICONV_PLUG
#include <giconv.h>
#else
#include <iconv.h>
#endif
#include <gtk/gtk.h>

#define MAX_CHAR_LEN 4

typedef struct _CodePages CodePages;

struct _CodePages {
        gchar *charset;
        gchar *iconv_charset;
        gchar *charset_name;
};

extern CodePages        *known_code_pages;

extern gchar		*curr_locale;
extern gchar		*curr_charset;

gint	cp_parse(char *cp_file_name); /* read config file */
gint    cp_create(char *cp_file_name); /* create new config file from template */
gint	cp_save(char *cp_file_name); /* write config file */
gint	cp_clear(void);		/* clear code pages tables */

gint	cp_get (gint cp_num, GString *charset_list, gchar **iconv_charset, gchar **charset_name);
gchar   *get_iconv_charset_from(gchar* mail_charset, CodePages *cpages);
gchar   *get_iconv_charset(gchar* mail_charset);

gint    insert_cp_in_menu(GtkItemFactory *ifactory, GtkItemFactoryCallback callback,
			  gchar *path, gpointer callback_data);

void	cp_append(gchar *mail_charsets, gchar *iconv_charset, gchar *charset_name);

#endif
