/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
/*
 * stuphead -- a GTK+ based, lightweight, and fast e-mail client
 * Copyright (C) 1999,2000 Hiroyuki Yamamoto
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MAIN_H__
#define __MAIN_H__

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <glib.h>
#include <gtk/gtkwidget.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "intl.h"

#if (HAVE_WCTYPE_H && HAVE_WCHAR_H)
#  include <wchar.h>
#  include <wctype.h>
#endif


#define PROG_VERSION		"stuphead version "VERSION
#define PROG_VERSION_CODENAME	"stuphead ver. "VERSION" ("CODENAME")"
#define MAIL_DIR		"Mail"
#define INBOX_DIR		"inbox"
#define OUTBOX_DIR		"outbox"
#define QUEUE_DIR		"queue"
#define DRAFT_DIR		"draft"
#define TRASH_DIR		"trash"
#define RC_DIR			".stuphead"
#define NEWS_CACHE_DIR		"newscache"
#define IMAP_CACHE_DIR		"imapcache"
#define MIME_TMP_DIR		"mimetmp"
#define COMMON_RC		"stupheadrc"
#define ACCOUNT_RC		"accountrc"
#define FILTER_RC		"filterrc"
#define CHARSETS_RC		"charsetsrc"
#define ADDRESS_BOOK		"addressbook.xml"
#define MAIL_FOLDER_LIST	"mailfolder"
#define NEWS_FOLDER_LIST	"newsfolder"
#define CACHE_FILE		".stuphead_cache"
#define MARK_FILE		".stuphead_mark"
#define MENU_RC			"menurc"
#define CACHE_VERSION		20
#define MARK_VERSION		2

#define DEFAULT_SIGNATURE	".signature"
#define DEFAULT_INC_PATH	"/usr/bin/mh/inc"
#define DEFAULT_INC_PROGRAM	"inc"
/* #define DEFAULT_INC_PATH	"/usr/bin/imget" */
/* #define DEFAULT_INC_PROGRAM	"imget" */
#define DEFAULT_SPOOL_PATH	"/var/spool/mail"

#define DEFAULT_ISPELL_COMMAND	"ispell -d russian -a"

#define BUFFSIZE			8192
#define MAXPATHLEN			4095
#define DEFAULT_HEIGHT			460
#define DEFAULT_FOLDERVIEW_WIDTH	179
#define DEFAULT_MAINVIEW_WIDTH		600
#define DEFAULT_SUMMARY_HEIGHT		140
#define DEFAULT_HEADERVIEW_HEIGHT	40
#define DEFAULT_COMPOSE_HEIGHT		560
#define BORDER_WIDTH			2
#define CTREE_INDENT			18
#define FOLDER_SPACING			4
#define COLOR_DIM			(guint16)35000

#define NORMAL_FONT 	prefs_common.normalfont
#define BOLD_FONT   	prefs_common.boldfont
#define SMALL_FONT	prefs_common.smallfont
#define SPACING_FONT	prefs_common.smallfont


/* DEVELOPING WRAPPERS	*/
extern int safe_wctomb(char *s, wchar_t wc);
extern gchar *prog_version;
extern gchar *maildir;
extern gboolean debug_mode;
extern gchar *curr_charset;
extern guint timeout_func;
extern gpointer wmwin_main;
void app_will_exit	(GtkWidget *widget, gpointer data);

typedef struct {
    gboolean	ext_mailto;
    gchar	*mailto;
    gboolean	ext_subject;
    gchar	*subject;
    gboolean	ext_body;
    gchar	*fname;
} cmdl_mail_info;

#endif /* __MAIN_H__ */
