/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
/*
 * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
 * Copyright (C) 1999,2000 Hiroyuki Yamamoto
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __NEWS_H__
#define __NEWS_H__

#include <glib.h>

typedef struct _NNTPSession	NNTPSession;

typedef enum {
	NNTP_READY,
	NNTP_SEND,
	NNTP_RECV
} NNTPPhase;

struct _NNTPSession
{
	GSList *newslist; /* FIXME */
	gchar *server;
	gint   sock;
	gboolean connected;
	gboolean authorized;
	NNTPPhase phase;
	gchar *group;
	gpointer data;
};

NNTPSession *news_connection_create	(const gchar	*server,
					 gushort	 port);
void news_connection_destroy		(NNTPSession	**session);

NNTPSession *news_session_get		(const gchar	*server);

gint news_get_article_cmd		(NNTPSession	*session,
					 const gchar	*cmd,
					 gint		 num,
					 gchar		*filename);
gint news_get_article			(NNTPSession	*session,
					 gint		 num,
					 gchar		*filename);
gint news_get_header			(NNTPSession	*session,
					 gint		 num,
					 gchar		*filename);
GSList *news_get_article_info		(NNTPSession	*session,
					 const gchar	*path,
					 gboolean	 use_cache);
GSList *news_get_groups_list            (NNTPSession *session, gchar* path);
#endif /* __NEWS_H__ */
